--- a/test.sh
+++ b/test.sh
@@ -157,7 +157,7 @@
 check_gold 0 gold-identical-on.txt tests/input-{1,1}.txt -s
 check_gold 2 gold-bad-encoding.txt tests/input-{1,2}.txt --encoding=nonexistend_encoding
 
-rm tests/permissions-{a,b}
+rm -f tests/permissions-{a,b}
 touch tests/permissions-{a,b}
 check_gold 0 gold-permissions-same.txt tests/permissions-{a,b} -P --cols=80
 
@@ -170,7 +170,7 @@
 
 echo -e "\04" >> tests/permissions-b
 check_gold 1 gold-permissions-diff-binary.txt tests/permissions-{a,b} -P --cols=80
-rm tests/permissions-{a,b}
+rm -f tests/permissions-{a,b}
 
 if git show 4e86205629 &> /dev/null; then
   # We're in the repo, so test git.
@@ -206,7 +206,7 @@
 
 ensure_installed "black"
 echo 'Running black formatter...'
-if ! black icdiff --line-length 79 --check; then
+if ! black icdiff --quiet --line-length 79 --check; then
   echo ""
   echo 'Consider running `black icdiff --line-length 79`'
   fail
